<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle">
    <s:div id="divValueSetInformations">
        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
            <ui:define name="panel_title">#{messages['net.ihe.gazelle.svssimulator.ValueSetsInformations']}</ui:define>
            <s:div rendered="#{not empty importBean.getNewImportedValueSetList()}">
                <s:div id="divTableNewValueSets">
                    <h3>#{messages['net.ihe.gazelle.svssimulator.NewValueSets']}</h3>
                    <a4j:repeat value="#{importBean.getNewImportedValueSetList()}" var="newImportedValueSet">
                        <rich:list value="#{newImportedValueSet.displayName} (#{newImportedValueSet.id})" var="newImportedValueSetNameOID" type="unordered">
                            <h:outputText value="#{newImportedValueSetNameOID}"/>
                        </rich:list>
                    </a4j:repeat>
                </s:div>
            </s:div>
            <s:div rendered="#{not empty importBean.getNewImportedConceptTypeList()}">
                <s:div id="divTableNewConceptList">
                    <h3>#{messages['net.ihe.gazelle.svssimulator.NewConceptLists']}</h3>
                    <a4j:repeat value="#{importBean.getNewImportedConceptTypeList()}" var="newImportedConceptType">
                        <rich:list value="#{newImportedConceptType.valueSet.displayName} (#{newImportedConceptType.valueSet.id}) - #{newImportedConceptType.lang}" var="newConceptListLang" type="unordered">
                            <h:outputText value="#{newConceptListLang}"/>
                        </rich:list>
                    </a4j:repeat>
                </s:div>
            </s:div>
            <s:div rendered="#{not empty importBean.getUpdatedImportedValueSetList()}">
                <s:div id="divTableUpdatedValueSets">
                    <h3>#{messages['net.ihe.gazelle.svssimulator.UpdatedValueSets']}</h3>
                    <br/>
                    <h:outputText style="font-weight:bold" value="#{messages['net.ihe.gazelle.svssimulator.NBAnyModificationOfConceptInASpecificLanguageIsS']}"/>
                    <br/>
                    <br/>
                    <a4j:repeat value="#{importBean.getUpdatedImportedValueSetList()}" var="uVSL">
                        <h:outputText style="align:center;font-weight:bold" value="#{uVSL.describedValueSet.displayName} (#{uVSL.describedValueSet.id})"/>
                        <br/>
                        <br/>
                        <rich:dataTable value="#{importBean.createListFromUpdatedDescribedValueSet(uVSL)}" var="updatedValueSet"
                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                        id="tableUpdatedValueSets" render="ds">
                            <g:column styleClass="col-md-4" label="New Concept">
                                <ui:define name="header">#{messages['net.ihe.gazelle.svssimulator.NewConcept']}</ui:define>
                                <a4j:repeat value="#{updatedValueSet.addedConceptList}" var="addedConcept">
                                    <h:outputText value="#{addedConcept.code} (#{addedConcept.displayName})"/>
                                    <br/>
                                </a4j:repeat>
                            </g:column>
                            <g:column styleClass="col-md-4" label="Updated Concept">
                                <ui:define name="header">#{messages['net.ihe.gazelle.svssimulator.UpdatedConcept']}</ui:define>
                                <a4j:repeat value="#{updatedValueSet.updatedConceptList}" var="updatedConcept">
                                    <h:outputText value="#{updatedConcept}"/>
                                    <br/>
                                </a4j:repeat>
                            </g:column>
                            <g:column styleClass="col-md-4" label="Deleted Concept">
                                <ui:define name="header">#{messages['net.ihe.gazelle.svssimulator.DeletedConcept']}</ui:define>
                                <a4j:repeat value="#{updatedValueSet.deletedConceptList}" var="deletedConcept">
                                    <h:outputText value="#{deletedConcept.code} (#{deletedConcept.displayName})"/>
                                    <br/>
                                    <br/>
                                </a4j:repeat>
                            </g:column>
                        </rich:dataTable>
                        <br/>
                    </a4j:repeat>
                </s:div>
            </s:div>
            <s:div rendered="#{not empty importBean.getUpToDateImportedValueSetList()}">
                <s:div id="divTableUpToDateValueSets">
                    <h3>#{messages['net.ihe.gazelle.svssimulator.UptodateValueSets']}</h3>
                    <a4j:repeat value="#{importBean.getUpToDateImportedValueSetList()}" var="upToDateValueSet">
                        <rich:list value="#{upToDateValueSet.displayName} (#{upToDateValueSet.id})" var="upToDateValueSetNameOID" type="unordered">
                            <h:outputText value="#{upToDateValueSetNameOID}"/>
                        </rich:list>
                    </a4j:repeat>
                </s:div>
            </s:div>
            <s:div rendered="#{not empty importBean.getUpToDateImportedConceptList()}">
                <s:div id="divTableUpToDateConceptList">
                    <h3>#{messages['net.ihe.gazelle.svssimulator.UptodateConceptLists']}</h3>
                    <a4j:repeat value="#{importBean.getUpToDateImportedConceptList()}" var="upToDateConceptList">
                        <rich:list value="#{upToDateConceptList.valueSet.displayName} (#{upToDateConceptList.valueSet.id}) - #{upToDateConceptList.lang}" var="upToDateConceptListLang" type="unordered">
                            <h:outputText value="#{upToDateConceptListLang}"/>
                        </rich:list>
                    </a4j:repeat>
                </s:div>
            </s:div>
            <ui:define name="panel_footer">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.ImportChanges']}"
                                   styleClass="gzl-btn-blue"
                                   action="#{importBean.importToRepository()}"
                                   immediate="true"
                                   rendered="#{reviewChanges and importBean.hasChangesMade()}"/>
                <a4j:commandButton value="#{messages['gazelle.svs.Back']}"
                                   styleClass="gzl-btn"
                                   action="#{importBean.back()}"
                                   immediate="true"
                                   rendered="#{reviewChanges}"/>
            </ui:define>
        </ui:decorate>
    </s:div>
</ui:composition>